#include "rConstMQTT.h"

// Топики
const char*     mqttDiv             = "/";                 // Разделить топиков
const char*     mqttPlus            = "+";                 // Для подписки на все категории
const char*     mqttSettings        = "settings";          // Параметры устройства
const char*     mqttGateway         = "gateway";           // Для фиксации активности шлюза
const char*     mqttGatewayAct      = "last_act";          // Время последней активности шлюза
const char*     mqttGatewayName     = "device_name";       // Имя активного шлюза
const char*     mqttSyncStatus      = "sync_status";       // Публикация состояния устройства и WillMessage
const char*     mqttSyncMode        = "sync_mode";         // Включение или отключение режима синхронизации
const char*     mqttSyncRequest     = "sync";              // Запрос статуса устройства
const char*     mqttSyncOk          = "1";                 // Ответ статуса устройства
const char*     mqttSyncWill        = "0";                 // Завещание статуса устройства
const char*     mqttFalse           = "0";                 // Параметр "выключено"
const char*     mqttTrue            = "1";                 // Параметр "включено"
const char*     mqttOn              = "включено";          // Для совместимости
const char*     mqttOff             = "отключено";         // Для совместимости

const char*     mqttPubInterval     = "interval_publ";     // Интервал публикации значений сенсоров
const char*     mqttThingSpeak      = "thingspeak";        // Режим публикации на ThingSpeak

const char*     mqttCommands        = "commands";          // Управлящие команды
const char*     mqttCmdReset        = "reset";             // Перезапуск устройства

const char*     mqttSensorName      = "sensor_name";       // Название сенсора
const char*     mqttSensorState     = "sensor_state";      // Статус сенсора
const char*     mqttSensorType      = "sensor_type";       // Тип сенсора
const char*     mqttSensorTimeI     = "sensor_time";       // Время сенсора
const char*     mqttSensorTimeL     = "sensor_time_long";  // Время сенсора - полная строка
const char*     mqttSensorTimeS     = "sensor_time_short"; // Время сенсора - короткая строка

const char*     mqttPressure        = "pressure";          // Давление
const char*     mqttPressurePa      = "pressure_pascal";   // Давление в паскалях
const char*     mqttPressureHg      = "pressure_mmhg";     // Давление в мм рт ст
const char*     mqttTemperature     = "temp";              // Температура
const char*     mqttHumidity        = "humidity";          // Влажность
const char*     mqttHeatIndex       = "heat_index";        // Индекс
const char*     mqttDewPoint        = "dew_point";         // Точка росы

const char*     mqttDeviceInfo      = "device";            // Состояние устройства
const char*     mqttTime            = "time";              // Текущее время числом
const char*     mqttTimeS           = "time_short";        // Текущее время строкой
const char*     mqttTimeL           = "time_long";         // Текущее время строкой
const char*     mqttChipId          = "chip_id";           // Серийный номер устройства
const char*     mqttCpuFreqMHz      = "cpu_freq";          // Частота процессора
const char*     mqttFlashChipId     = "flash_chip_id";     // Серийный номер памяти
const char*     mqttFlashChipRealSize = "flash_real_size"; // Реальный размер памяти
const char*     mqttFlashChipSpeed  = "flash_speed";       // Скорость памяти
const char*     mqttIp              = "ip4";               // IP-адрес устройства
const char*     mqttRSSI            = "rssi";              // Уровень сигнала WiFi
const char*     mqttPowerVoltage    = "power";             // Напряжение питания
const char*     mqttHeapFree        = "heap_free";         // Размер свободной памяти
const char*     mqttHeapFrag        = "heap_fragmentation"; // Степень фрагментации памяти


// Сенсоры
const char*     stateOK             = "OK";
const char*     stateDisconnected   = "DISCONNECTED";

const char*     sensorNone          = "---";
const char*     sensorBme280        = "BME280";
const char*     sensorDht11         = "DHT11";
const char*     sensorDht22         = "DHT22";
const char*     sensorRht03         = "RHT03";
const char*     sensorAm2302        = "AM2302";

const double    prsPa2mmHg          = 133.321995;
