// =============================================================================================================================//
// Модуль для мигания светодиоиком                                                                                              //
// =============================================================================================================================//
// Автор: Александр Разживин, kotyara12@yandex.ru, http://ravsoft2004.narod.ru                                                  //
// =============================================================================================================================//

#include "rLed.h"

rLed::rLed(const byte led_pin, const bool led_mode) 
{
  _ledPin = led_pin;
  _ledMode = led_mode;
}

void rLed::begin()
{
  pinMode(_ledPin, OUTPUT);
  ledOff();
}

void rLed::ledOn()
{
  _ledState = true;
  digitalWrite(_ledPin, _ledMode);
}

void rLed::ledOff()
{
  _ledState = false;
  digitalWrite(_ledPin, !_ledMode);
}

void rLed::ledToggle()
{
  if (_ledState) {
    ledOff();
  }
  else {
    ledOn();
  }
}

void rLed::ledBlibk(const byte period, const byte count)
{
  for (int i = 0; i < count; i++) 
  {
    ledToggle();
    delay(period);
    ledToggle();
    delay(period);
  }
  ledOff();
}

void rLed::ledOnNoState()
{
  digitalWrite(_ledPin, _ledMode);
}

void rLed::ledRestoreState()
{
  if (_ledState) {
    digitalWrite(_ledPin, _ledMode);
  }
  else {
    digitalWrite(_ledPin, !_ledMode);
  }
}
