// =============================================================================================================================//
// Модуль для подключения WiFi                                                                                                  //
// =============================================================================================================================//
// Автор: Александр Разживин, kotyara12@yandex.ru, http://ravsoft2004.narod.ru                                                  //
// =============================================================================================================================//

#include "Arduino.h"
#include <ESP8266WiFi.h>
#include "rWiFi.h"

String wifiStatusText(const wl_status_t status)
{
  switch (status) {
    case WL_IDLE_STATUS:
      return F("WL_IDLE_STATUS");
    case WL_NO_SSID_AVAIL:
      return F("WL_NO_SSID_AVAIL");
    case WL_SCAN_COMPLETED:
      return F("WL_SCAN_COMPLETED");
    case WL_CONNECTED:
      return F("WL_CONNECTED");
    case WL_CONNECT_FAILED:
      return F("WL_CONNECT_FAILED");
    case WL_CONNECTION_LOST:
      return F("WL_CONNECTION_LOST");
    default:
      return F("WL_DISCONNECTED");
  };
}

String wifiReasonText(const WiFiDisconnectReason reason)
{
  switch (reason) {
    case WIFI_DISCONNECT_REASON_UNSPECIFIED:
      return F("WIFI_DISCONNECT_REASON_UNSPECIFIED");
    case WIFI_DISCONNECT_REASON_AUTH_EXPIRE:
      return F("WIFI_DISCONNECT_REASON_AUTH_EXPIRE");
    case WIFI_DISCONNECT_REASON_AUTH_LEAVE:
      return F("WIFI_DISCONNECT_REASON_AUTH_LEAVE");
    case WIFI_DISCONNECT_REASON_ASSOC_EXPIRE:
      return F("WIFI_DISCONNECT_REASON_ASSOC_EXPIRE");
    case WIFI_DISCONNECT_REASON_ASSOC_TOOMANY:
      return F("WIFI_DISCONNECT_REASON_ASSOC_TOOMANY");
    case WIFI_DISCONNECT_REASON_NOT_AUTHED:
      return F("WIFI_DISCONNECT_REASON_NOT_AUTHED");
    case WIFI_DISCONNECT_REASON_NOT_ASSOCED:
      return F("WIFI_DISCONNECT_REASON_NOT_ASSOCED");
    case WIFI_DISCONNECT_REASON_ASSOC_LEAVE:
      return F("WIFI_DISCONNECT_REASON_ASSOC_LEAVE");
    case WIFI_DISCONNECT_REASON_ASSOC_NOT_AUTHED:
      return F("WIFI_DISCONNECT_REASON_ASSOC_NOT_AUTHED");
    case WIFI_DISCONNECT_REASON_DISASSOC_PWRCAP_BAD:
      return F("WIFI_DISCONNECT_REASON_DISASSOC_PWRCAP_BAD");
    case WIFI_DISCONNECT_REASON_DISASSOC_SUPCHAN_BAD:
      return F("WIFI_DISCONNECT_REASON_DISASSOC_SUPCHAN_BAD");
    case WIFI_DISCONNECT_REASON_IE_INVALID:
      return F("WIFI_DISCONNECT_REASON_IE_INVALID");
    case WIFI_DISCONNECT_REASON_MIC_FAILURE:
      return F("WIFI_DISCONNECT_REASON_MIC_FAILURE");
    case WIFI_DISCONNECT_REASON_4WAY_HANDSHAKE_TIMEOUT:
      return F("WIFI_DISCONNECT_REASON_4WAY_HANDSHAKE_TIMEOUT");
    case WIFI_DISCONNECT_REASON_GROUP_KEY_UPDATE_TIMEOUT:
      return F("WIFI_DISCONNECT_REASON_4WAY_HANDSHAKE_TIMEOUT");
    case WIFI_DISCONNECT_REASON_IE_IN_4WAY_DIFFERS:
      return F("WIFI_DISCONNECT_REASON_IE_IN_4WAY_DIFFERS");
    case WIFI_DISCONNECT_REASON_GROUP_CIPHER_INVALID:
      return F("WIFI_DISCONNECT_REASON_GROUP_CIPHER_INVALID");
    case WIFI_DISCONNECT_REASON_PAIRWISE_CIPHER_INVALID:
      return F("WIFI_DISCONNECT_REASON_PAIRWISE_CIPHER_INVALID");
    case WIFI_DISCONNECT_REASON_AKMP_INVALID:
      return F("WIFI_DISCONNECT_REASON_AKMP_INVALID");
    case WIFI_DISCONNECT_REASON_UNSUPP_RSN_IE_VERSION:
      return F("WIFI_DISCONNECT_REASON_UNSUPP_RSN_IE_VERSION");
    case WIFI_DISCONNECT_REASON_INVALID_RSN_IE_CAP:
      return F("WIFI_DISCONNECT_REASON_INVALID_RSN_IE_CAP");
    case WIFI_DISCONNECT_REASON_802_1X_AUTH_FAILED:
      return F("WIFI_DISCONNECT_REASON_802_1X_AUTH_FAILED");
    case WIFI_DISCONNECT_REASON_CIPHER_SUITE_REJECTED:
      return F("WIFI_DISCONNECT_REASON_CIPHER_SUITE_REJECTED");
    case WIFI_DISCONNECT_REASON_BEACON_TIMEOUT:
      return F("WIFI_DISCONNECT_REASON_BEACON_TIMEOUT");
    case WIFI_DISCONNECT_REASON_NO_AP_FOUND:
      return F("WIFI_DISCONNECT_REASON_NO_AP_FOUND");
    case WIFI_DISCONNECT_REASON_AUTH_FAIL:
      return F("WIFI_DISCONNECT_REASON_AUTH_FAIL");
    case WIFI_DISCONNECT_REASON_ASSOC_FAIL:
      return F("WIFI_DISCONNECT_REASON_ASSOC_FAIL");
    case WIFI_DISCONNECT_REASON_HANDSHAKE_TIMEOUT:
      return F("WIFI_DISCONNECT_REASON_HANDSHAKE_TIMEOUT");
    default:
      return F("???");
  };
}
